Subject: Re: bug#16081: Subject: c++-mode indentation "*wedging*"

From: Stefan Kangas <[email-masked]>
Date: Mon, 30 Sep 2019 15:31:08 +0200

Alan Mackenzie <[email-masked]> writes:

> Craig Steury <[email-masked]> wrote:
>> Hello, this is bug-report is concerned with indentation in
>> c++-mode. The symptoms are after some unspecified amount of time/work
>> indentation becomes "wedged".
[...]
> Unfortunately, the first line of the first entry ("c-parse-state
> inconsistency at L....") has been lost here.  Could it be that this
> wasn't the first inconsistency, but the *Messages* buffer has overflowed?
> In this case it can be helpful to set the variable `message-log-max' to t.
> Only the first report of inconsistency is really useful, since it indicates
> the point where an internal cache may have become corrupted.
>
> To use this debug information, I need the C++ source file.  Is there any
> chance you could post this?  (Or alternatively, send it to me privately.)
> The debug output suggests this file may be quite small.  Also, please
> report explicitly whether or not you were changing the buffer at the time
> the inconsistency was reported, and if so, how.
>
> There's just one thing I'll ask you to try first: there's a known bug
> triggered by having an open parenthesis/brace/bracket at column 0 inside a
> comment.  Would you please check your code for this, and if you find such
> a paren/br/br try removing it to see if the bug then goes away.
>
> So, quick summary: please check for that open p/b/b in column 0.  If not
> found then post (or mail to me) the source file and the very first two
> "inconsistency" reports, together with details on whether the buffer was
> being changed.

More information was requested, but none was given within 6 years, so
I'm closing this bug report.  If this is still an issue, please re-open
the bug report.

Best regards,
Stefan Kangas